{% extends 'base.html' %}
{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            {% if task_list %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>End date</th>
                            <th>is completed</td>
                        </tr>
                    </thead>
                    {% for task in task_list %}
                        <tbody>
                            <tr>
                                <td>{{task.name}}</td>
                                <td>{{task.start_date|date:"M,d,Y"}}</td>
                                <td>{{task.due_date|date:"M,d,Y"}}</td>
                                <td>{{task.is_completed|yesno:"Done,"}}
                                    {% if not task.is_completed %}
                                        <form method="post" action="{% url "complete_task" task.id%}">
                                            {% csrf_token %}
                                            <input type="hidden" name="is_completed" value="True">
                                            <button>Complete</button>
                                        </form>
                                    {% endif %}
                                </td>
                            </tr>
                        </tbody>
                    {% endfor %}
                </table>
            {% else %}
                <p>You have no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
